> ## Documentation Index
> Fetch the complete documentation index at: https://docs.lumenaza.de/llms.txt
> Use this file to discover all available pages before exploring further.

# Creates a new control resource

> Creates a new control resource



## OpenAPI

````yaml /lumx_openapi.yaml post /v3/master_data/changes/redispatch/control_resources/
openapi: 3.0.3
info:
  title: Lumenaza external API
  version: 3.8.0 (v3)
  description: Specification of the Lumenaza external API.
servers:
  - url: https://api.lumenaza.de/
    description: Produktivserver
  - url: https://api.test.lumenaza.de/
    description: Testserver
security: []
tags:
  - name: Community Data API
    description: >-
      The API is used to retrieve master data and measurement data for a
      community. A community is defined by all customers that belong to your
      company.
paths:
  /v3/master_data/changes/redispatch/control_resources/:
    post:
      tags:
        - master_data
      summary: Creates a new control resource
      description: Creates a new control resource
      operationId: master_data_changes_redispatch_control_resources_create
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/ControlResourceRequest'
          application/x-www-form-urlencoded:
            schema:
              $ref: '#/components/schemas/ControlResourceRequest'
          multipart/form-data:
            schema:
              $ref: '#/components/schemas/ControlResourceRequest'
        required: true
      responses:
        '201':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ControlResourceResponse'
          description: ''
        '400':
          content:
            application/json:
              schema:
                type: object
                additionalProperties: {}
              examples:
                ContractNotFound:
                  value:
                    contract_id: contract not found
                  summary: Contract not found
                ContractNotLinkedToAnyPlant:
                  value:
                    contract_id: contract not linked to any plant
                  summary: Contract not linked to any plant
                ContractLinkedToUnsupportedPlantType:
                  value:
                    contract_id: contract linked to unsupported plant type
                  summary: Contract linked to unsupported plant type
                UnexpectedCheckDigit:
                  value:
                    control_resource_id: >-
                      unexpected check digit <provided check digit>, check digit
                      should be <correct check digit>
                  summary: Unexpected check digit
                ValueIsInvalid:
                  value:
                    control_resource_id: value <value> is invalid
                  summary: Value is invalid
                UnexpectedLength:
                  value:
                    control_resource_id: 'unexpected length: <length>, expected: 11'
                  summary: Unexpected length
                FailedIDValidation:
                  value:
                    control_resource_id: ID must start with C
                  summary: Failed ID validation
          description: ''
components:
  schemas:
    ControlResourceRequest:
      type: object
      properties:
        contract_id:
          type: string
        operator:
          type: string
        sr_id:
          type: string
        use_case:
          type: integer
      required:
        - contract_id
        - operator
        - sr_id
        - use_case
    ControlResourceResponse:
      type: object
      properties:
        id:
          type: integer
        operator:
          type: string
        control_resource_id:
          type: string
        use_case:
          type: integer
        photovoltaic_plant:
          type: string
          nullable: true
        bio_gas_plant:
          type: string
          nullable: true
        wind_park:
          type: string
          nullable: true
        water_plant:
          type: string
          nullable: true
      required:
        - control_resource_id
        - id
        - operator
        - use_case

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.